
Application: gvSIG desktop - gvSIG bugs #5818
Los etiquetados por unidades métricas parece que están funcionando como píxeles
02/22/2024 05:26 PM - Mario Carrera

Status: Fixed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Francisco Díaz Carsí
Category: Labeling
Target version: 2.6.1-4004
Severity: Minor Add-on version:
gvSIG version: 2.6.0 Add-on build:
gvSIG build: 4003 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

Si tenemos un etiquetado en una capa en metros, creamos un mapa y exportamos a PDF, las etiquetas reducen su tamaño respecto
a cómo se visualizan en la pantalla. Ocurre en la 2.6.1, en la 2.5.1 funcionaba bien (abriendo el mismo proyecto).

Adjunto un ZIP con un proyecto de gvSIG y el mapa creado con las etiquetas.

Adjunto una captura de pantalla de cómo se ve en el mapa, y los PDF creados en la 2.5.1 (se ve igual que en el mapa) y la 2.6.1 (se
reducen mucho, como si estuviese tomando píxeles en lugar de metros)

Associated revisions
Revision 47688 - 02/26/2024 10:17 AM - Francisco Díaz Carsí

refs #5818 Fixed refreshTextHeight to use setValue in txtHeightField instead setText

Revision 47689 - 02/26/2024 10:21 AM - Francisco Díaz Carsí

refs #5818 Fixed draw AttrInTableLabelingStrategy to use cartographic context

History
#1 - 02/26/2024 08:59 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.6.1-final to 2.6.1-4004
- Assignee set to Francisco Díaz Carsí

#2 - 02/26/2024 10:21 AM - Francisco Díaz Carsí
- Status changed from New to Fixed
